%bcond_without tests

%global         srcname     applicationinsights

Name:           python-%{srcname}
Version:        0.11.9
Release:    1%{?dist}
Summary:        Python support for Azure Application Insights API
License:        MIT
URL:            https://pypi.org/project/%{srcname}/
Source0:        %{pypi_source %{srcname} %{version}}

BuildArch:      noarch


BuildRequires:  python3-devel

%if %{with tests}
BuildRequires:  python3-test
%endif

%global _description %{expand:
This project extends the Application Insights API surface to support Python}

%description %{_description}


%package -n python3-%{srcname}
Summary:        %{summary}

%description -n python3-%{srcname} %{_description}


%prep
%autosetup -n %{srcname}-%{version}

sed -i 's/\r$//' README.rst


%generate_buildrequires
%pyproject_buildrequires -r


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files applicationinsights


%if %{with tests}
%check
PYTHONPATH=%{buildroot}/%{python3_sitelib} \
    %{__python3} -m unittest discover ./tests/
%endif


%files -n python3-%{srcname} -f %{pyproject_files}
%license LICENSE.txt
%doc README.rst


%changelog
* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.11.9-1
- initial build
